Subject: Re: linux-next: build failure after merge of the userns tree

From: Christoph Hellwig <[email-masked]>
Date: Thu, 7 Nov 2013 23:27:32 -0800

On Fri, Nov 08, 2013 at 05:58:48PM +1100, Stephen Rothwell wrote:
> Hi Eric,
> 
> After merging the userns tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> fs/namei.c: In function 'covered':
> fs/namei.c:3528:2: error: too many arguments to function '__lookup_mnt'
>   is_covered = d_mountpoint(dentry) && __lookup_mnt(mnt, dentry, 1);
>   ^
> 
> Caused by my incomplete merge resolution between commits 474279dc0f77
> ("split __lookup_mnt() in two functions") from the vfs tree and
> a3b4491433f2 ("vfs: Don't allow overwriting mounts in the current mount
> namespace") from the userns tree.

Btw, I don't think the userns tree has any business touching lookup
and mount semantics in namei.c without an explicit VFS signoff.

Please drop the tree for now.